/////////////////////////////////////////////////////////////////////////////
// Name:        fs_wxz.h
// Purpose:     wxWxzFSHandler definition
// Author:      Francesco Montorsi
// Modified by:
// Created:     2007-1-17
// RCS-ID:      $Id: fs_wxz.h,v 1.1 2007/01/18 00:01:28 frm Exp $
// Copyright:   (c) Francesco Montorsi
// Licence:     wxWidgets licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _WXZ_FSHANDLER_H_
#define _WXZ_FSHANDLER_H_

// Includes
#include "wx/filesys.h"


// ----------------------------------------------------------------------------
// wxWxzFSHandler
// ----------------------------------------------------------------------------

class wxWxzFSHandler : public wxFileSystemHandler
{
public:
    wxWxzFSHandler() {}
    //virtual ~wxArchiveFSHandler();

    virtual bool CanOpen(const wxString& location);
    virtual wxFSFile* OpenFile(wxFileSystem& fs, const wxString& location);
    virtual wxString FindFirst(const wxString& spec, int flags = 0);
    virtual wxString FindNext();

private:
    /*
    class wxArchiveFSCache *m_cache;
    wxFileSystem m_fs;

    // these vars are used by FindFirst/Next:
    class wxArchiveFSCacheData *m_Archive;
    struct wxArchiveFSEntry *m_FindEntry;
    wxString m_Pattern, m_BaseDir, m_ZipFile;
    bool m_AllowDirs, m_AllowFiles;
    wxArchiveFilenameHashMap *m_DirsFound;

    wxString DoFind();*/

    DECLARE_NO_COPY_CLASS(wxWxzFSHandler)
    DECLARE_DYNAMIC_CLASS(wxWxzFSHandler)
};

#endif      // _WXZ_FSHANDLER_H_

